> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/document-upload.md).

# Document Upload

## POST /api/Public/DocumentUpload/upload

> Document upload

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DocumentUpload"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.DocumentUploadRequest":{"type":"object","properties":{"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true},"categoryId":{"type":"integer","format":"int32","nullable":true},"referenceNo":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DocumentUpload/upload":{"post":{"tags":["DocumentUpload"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DocumentUploadRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Document upload","operationId":"post_DocumentUpload_upload"}}}}
```

## POST /api/Public/DocumentUpload/upload-bulk

> Upload bulk

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DocumentUpload"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.BulkDocumentUploadRequest":{"type":"object","properties":{"documents":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DocumentUploadRequest"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.DocumentUploadRequest":{"type":"object","properties":{"documentName":{"type":"string","nullable":true},"fileData":{"type":"string","nullable":true},"categoryId":{"type":"integer","format":"int32","nullable":true},"referenceNo":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/DocumentUpload/upload-bulk":{"post":{"tags":["DocumentUpload"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.BulkDocumentUploadRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload bulk","operationId":"post_DocumentUpload_upload_bulk"}}}}
```

## GET /api/Public/DocumentUpload/get-file-data/{documentId}

> Get file data

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"DocumentUpload"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/DocumentUpload/get-file-data/{documentId}":{"get":{"tags":["DocumentUpload"],"parameters":[{"name":"documentId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Get file data","operationId":"get_DocumentUpload_get_file_data_documentId"}}}}
```
